using AyCode.Database.DbContexts;
using AyCode.Interfaces.Addresses;
using AyCode.Interfaces.Profiles;
using AyCode.Interfaces.ServiceProviders;
using AyCode.Interfaces.Users;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace AyCode.Database.ModelBuilders.Profiles;

public class AcProfileEntityTypeDefaultConfiguration<TProfile, TProfileAddress> : IAcEntityTypeConfiguration<TProfile>
    where TProfile : class, IAcProfile<TProfileAddress>
    where TProfileAddress : class, IAcAddress
{
    public virtual void Configure(EntityTypeBuilder<TProfile> modelBuilder)
    {
        modelBuilder.BuildEntityToAddressRelation<TProfile, TProfileAddress>();
    }
}
